linux-ti-omap4: 3.2.0-1455.75 -proposed tracker

Bug #1372683 reported by Brad Figg on 2014-09-22
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Unassigned
Prepare-package
Medium
Paolo Pisati
Prepare-package-meta
Medium
Brad Figg
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Paul Larson
Security-signoff
Medium
John Johansen
Upload-to-ppa-dnu
Medium
Brad Figg
Verification-testing
Medium
ubuntu-armel-kernel
linux-ti-omap4 (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned

Bug Description

This bug is for tracking the <version to be filled> upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 22. September 2014 23:20 UTC
kernel-stable-master-bug:1372522
kernel-stable-Certification-testing-end:Tuesday, 23. September 2014 09:06 UTC
kernel-stable-Prepare-package-end:Saturday, 27. September 2014 17:02 UTC
kernel-stable-Promote-to-proposed-start:Saturday, 27. September 2014 17:02 UTC
ppa-package-testing-start:Saturday, 27. September 2014 17:02 UTC
kernel-stable-Promote-to-proposed-end:Wednesday, 01. October 2014 20:01 UTC
kernel-stable-Security-signoff-start:Wednesday, 01. October 2014 22:01 UTC
kernel-stable-Verification-testing-start:Wednesday, 01. October 2014 22:01 UTC
kernel-stable-Regression-testing-start:Wednesday, 01. October 2014 22:01 UTC
kernel-stable-Regression-testing-end:Tuesday, 07. October 2014 14:03 UTC
kernel-stable-Verification-testing-end:Tuesday, 07. October 2014 19:01 UTC
kernel-stable-Promote-to-updates-start:Wednesday, 08. October 2014 11:02 UTC
kernel-stable-Security-signoff-end:Wednesday, 08. October 2014 11:02 UTC
kernel-stable-Promote-to-updates-end:Wednesday, 08. October 2014 18:56 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Wednesday, 08. October 2014 20:06 UTC

CVE References

This tracking bug was opened to be worked from linux-3.2.0-70.104 update (bug 1372522)

tags: added: kernel-release-tracking-bug
tags: added: armel
tags: added: precise
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-ti-omap4 (Ubuntu):
importance: Undecided → Medium
Changed in linux-ti-omap4 (Ubuntu Precise):
importance: Undecided → Medium

git://kernel.ubuntu.com/ppisati/ubuntu-precise.git ti-omap4

summary: - linux-ti-omap4: <version to be filled> -proposed tracker
+ linux-ti-omap4: 3.2.0-1454.74 -proposed tracker
Brad Figg (brad-figg) on 2014-09-23
description: updated
Paolo Pisati (p-pisati) on 2014-09-26
summary: - linux-ti-omap4: 3.2.0-1454.74 -proposed tracker
+ linux-ti-omap4: 3.2.0-1455.75 -proposed tracker

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed.

Changed in linux-ti-omap4 (Ubuntu):
status: New → Invalid
Brad Figg (brad-figg) on 2014-10-01
description: updated
Brad Figg (brad-figg) on 2014-10-01
description: updated
Paul Larson (pwlars) wrote :

For regression testing, the only failures I got were the usual CONFIG_RODATA failure and the timeout with one of the ecryptfs tests seen on slow platforms like panda+usbstorage.

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2014-10-07
description: updated
Adam Conrad (adconrad) wrote :

No flavour-specific bugs to verify.

Brad Figg (brad-figg) on 2014-10-07
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2014-10-08
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (11.0 KiB)

This bug was fixed in the package linux-ti-omap4 - 3.2.0-1455.75

---------------
linux-ti-omap4 (3.2.0-1455.75) precise; urgency=low

  * Release Tracking Bug
    - LP: #1372683

  [ Paolo Pisati ]

  * rebased on Ubuntu-3.2.0-70.105

  [ Ubuntu: 3.2.0-70.105 ]

  * Release Tracking Bug
    - re-used previous tracking bug
  * udf: Avoid infinite loop when processing indirect ICBs
    - LP: #1370042
    - CVE-2014-6410

linux-ti-omap4 (3.2.0-1454.74) precise; urgency=low

  * Release Tracking Bug
    - LP: #1372683

  [ Paolo Pisati ]

  * rebased on Ubuntu-3.2.0-70.104

  [ Ubuntu: 3.2.0-70.104 ]

  * Release Tracking Bug
    - LP: #1372522
  * SAUCE: Fix nfs oops stable regression
    - LP: #1348670
  * [Config] updateconfigs
    - LP: #1369711
  * Revert "x86-64, modify_ldt: Make support for 16-bit segments a runtime
    option"
    - LP: #1369711
  * KVM: x86: Inter-privilege level ret emulation is not implemeneted
    - LP: #1369711
  * ASoC: samsung: Correct I2S DAI suspend/resume ops
    - LP: #1369711
  * block: don't assume last put of shared tags is for the host
    - LP: #1369711
  * stable_kernel_rules: Add pointer to netdev-FAQ for network patches
    - LP: #1369711
  * debugfs: Fix corrupted loop in debugfs_remove_recursive
    - LP: #1369711
  * serial: core: Preserve termios c_cflag for console resume
    - LP: #1369711
  * tda10071: force modulation to QPSK on DVB-S
    - LP: #1369711
  * gspca_pac7302: Add new usb-id for Genius i-Look 317
    - LP: #1369711
  * mtd/ftl: fix the double free of the buffers allocated in build_maps()
    - LP: #1369711
  * x86: don't exclude low BIOS area when allocating address space for
    non-PCI cards
    - LP: #1369711
  * Bluetooth: never linger on process exit
    - LP: #1369711
  * scsi: handle flush errors properly
    - LP: #1369711
  * USB: OHCI: don't lose track of EDs when a controller dies
    - LP: #1369711
  * ahci: add support for the Promise FastTrak TX8660 SATA HBA (ahci mode)
    - LP: #1369711
  * usbcore: don't log on consecutive debounce failures of the same port
    - LP: #1369711
  * USB: Fix persist resume of some SS USB devices
    - LP: #1369711
  * drm/radeon: fix irq ring buffer overflow handling
    - LP: #1369711
  * hwmon: (smsc47m192) Fix temperature limit and vrm write operations
    - LP: #1369711
  * staging: vt6655: Fix Warning on boot handle_irq_event_percpu.
    - LP: #1369711
  * staging: vt6655: Fix disassociated messages every 10 seconds
    - LP: #1369711
  * bfa: Fix undefined bit shift on big-endian architectures with 32-bit
    DMA address
    - LP: #1369711
  * hpsa: fix bad -ENOMEM return value in hpsa_big_passthru_ioctl
    - LP: #1369711
  * Drivers: scsi: storvsc: Implement a eh_timed_out handler
    - LP: #1369711
  * Fix gcc-4.9.0 miscompilation of load_balance() in scheduler
    - LP: #1369711
  * iommu/vt-d: Exclude devices using RMRRs from IOMMU API domains
    - LP: #1369711
  * net: sendmsg: fix NULL pointer dereference
    - LP: #1369711
  * tpm: Provide a generic means to override the chip returned timeouts
    - LP: #1369711
  * hwmon: (ads1015) Fix off-by-one for valid channel index checking
    - LP: #1369711
  * MIPS: tlbex: Fix a...

Changed in linux-ti-omap4 (Ubuntu Precise):
status: New → Fix Released
Brad Figg (brad-figg) on 2014-10-08
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers